<template>
  <q-layout view="hHh lpr fff">
    <d-header :drawer="leftDrawer" @onDrawer="leftDrawer = !leftDrawer"></d-header>

    <d-footer></d-footer>

    <d-menu :drawer="leftDrawer" :options="options"></d-menu>

    <q-page-container>
      <router-view />
    </q-page-container>
  </q-layout>
</template>

<script>
import dHeader from '../../components/shared/Header'
import dFooter from '../../components/shared/Footer'
import dMenu from '../../components/shared/Menu'

export default {
  components: {
    dHeader,
    dFooter,
    dMenu
  },
  data () {
    return {
      leftDrawer: true,
      options: [
        {
          label: 'Perfil',
          to: 'business.profile',
          icon: 'far fa-id-badge'
        },
        {
          label: 'Productos',
          to: 'business.product',
          icon: 'fas fa-beer'
        }
      ]
    }
  }
}
</script>
